
BEGIN {
  unless ($ENV{RELEASE_TESTING}) {
    require Test::More;
    Test::More::plan(skip_all => 'these tests are for release candidate testing');
  }
}

use strict;
use warnings;

# this test was generated with Dist::Zilla::Plugin::Test::NoTabs 0.08

use Test::More 0.88;
use Test::NoTabs;

my @files = (
    'bin/sudo-tar',
    'bin/tails-create-iuk',
    'bin/tails-install-iuk',
    'bin/tails-iuk-check-upgrade-description-file',
    'bin/tails-iuk-generate-upgrade-description-files',
    'bin/tails-iuk-get-target-file',
    'bin/tails-iuk-get-upgrade-description-file',
    'bin/tails-iuk-mktemp-get-target-file',
    'bin/tails-shutdown-network',
    'bin/tails-upgrade-frontend',
    'lib/Tails/IUK.pm',
    'lib/Tails/IUK/Archive/Tar.pm',
    'lib/Tails/IUK/Archive/Tar/Wrapper.pm',
    'lib/Tails/IUK/Frontend.pm',
    'lib/Tails/IUK/Install.pm',
    'lib/Tails/IUK/LWP/UserAgent/WithProgress.pm',
    'lib/Tails/IUK/Read.pm',
    'lib/Tails/IUK/Role/HasCodeset.pm',
    'lib/Tails/IUK/Role/HasEncoding.pm',
    'lib/Tails/IUK/TargetFile/Download.pm',
    'lib/Tails/IUK/UpgradeDescriptionFile.pm',
    'lib/Tails/IUK/UpgradeDescriptionFile/Download.pm',
    'lib/Tails/IUK/UpgradeDescriptionFile/Generate.pm',
    'lib/Tails/IUK/Utils.pm',
    't/00-load_all.t',
    't/10-features.t',
    't/author-critic.t',
    't/data/dev_gnupg_homedir/pubring.gpg',
    't/data/dev_gnupg_homedir/secring.gpg',
    't/data/expired_dev_gnupg_homedir/pubring.gpg',
    't/data/expired_dev_gnupg_homedir/secring.gpg',
    't/data/future_dev_gnupg_homedir/pubring.gpg',
    't/data/future_dev_gnupg_homedir/secring.gpg',
    't/data/untrusted_gnupg_homedir/pubring.gpg',
    't/data/untrusted_gnupg_homedir/secring.gpg',
    't/data/webroot/tails/stable/iuk/Tails_s390x_0.12_to_0.12.1.iuk',
    't/data/webroot/tails/stable/tails-s390x-0.12.1/Tails-s390x-0.12.1.iso',
    't/lib/Test/SslCertificates.pm',
    't/lib/Test/Util.pm',
    't/lib/Test/WebServer.pm',
    't/lib/Test/WebServer/RedirectToHTTPS.pm',
    't/lib/Test/WebServer/Static.pm',
    't/lib/Test/WebServer/Static/SSL.pm',
    't/lib/Test/WebServer/Static/SSL/RedirectToHTTP.pm',
    't/progress.t',
    't/release-no-tabs.t',
    't/release-pod-syntax.t',
    't/specs/Create.t',
    't/specs/Read.t',
    't/specs/extract_file_from_iso.t',
    't/specs/unpacked_size.t',
    't/specs/upgraded_or_new_files_in_isos.t'
);

notabs_ok($_) foreach @files;
done_testing;
